(function ($, Drupal) {
  'use strict';

  Drupal.behaviors.swisspassNumber = {
    attach: function (context, settings) {
      once('swisspass-number', 'input[name="swisspass"]', context).forEach(function (element) {
        $(element).on('input', function (e) {
          var input = $(this);
          var value = input.val().replace(/\D/g, '').substring(0, 10);
          var formattedValue = '';

          if (value.length > 0) {
            formattedValue = value.match(/(\d{1,3})/g).join('-');
          }

          input.val(formattedValue);
        });
      });
    }
  };

})(jQuery, Drupal);
